Skip to main content
PATCH
/
api
/
v1
/
school
/
non-teachingstaff
/
{id}
Update non teachingstaff partial
curl --request PATCH \
  --url https://api.example.com/api/v1/school/non-teachingstaff/{id}/ \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "first_name": "<string>",
  "last_name": "<string>",
  "id_number": "<string>",
  "department": "Administration",
  "position": "<string>",
  "phone": "<string>",
  "email": "jsmith@example.com",
  "gender": "Male",
  "is_active": true,
  "created_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'
{
  "first_name": "<string>",
  "last_name": "<string>",
  "id_number": "<string>",
  "department": "Administration",
  "position": "<string>",
  "phone": "<string>",
  "gender": "Male",
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "is_deleted": true,
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z",
  "email": "jsmith@example.com",
  "date_joined": "2023-11-07T05:31:56Z",
  "is_active": true,
  "created_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string<uuid>
required

A UUID string identifying this non teaching staff.

Body

Auto-populate created_by from request.user when available.

first_name
string
Required string length: 1 - 255
last_name
string
Required string length: 1 - 255
id_number
string
Required string length: 1 - 255
department
enum<string>
  • Administration - Administration
  • Accounts - Accounts
  • Maintenance - Maintenance
  • Security - Security
  • Cleaning - Cleaning
  • Kitchen - Kitchen
  • Library - Library
  • Medical - Medical
  • Transport - Transport
  • Others - Others
Available options:
Administration,
Accounts,
Maintenance,
Security,
Cleaning,
Kitchen,
Library,
Medical,
Transport,
Others
position
string
Required string length: 1 - 255
phone
string
Required string length: 1 - 255
email
string<email> | null
Maximum string length: 254
gender
enum<string>
  • Male - Male
  • Female - Female
Available options:
Male,
Female
is_active
boolean
created_by
string<uuid> | null

Response

200 - application/json

Auto-populate created_by from request.user when available.

first_name
string
required
Maximum string length: 255
last_name
string
required
Maximum string length: 255
id_number
string
required
Maximum string length: 255
department
enum<string>
required
  • Administration - Administration
  • Accounts - Accounts
  • Maintenance - Maintenance
  • Security - Security
  • Cleaning - Cleaning
  • Kitchen - Kitchen
  • Library - Library
  • Medical - Medical
  • Transport - Transport
  • Others - Others
Available options:
Administration,
Accounts,
Maintenance,
Security,
Cleaning,
Kitchen,
Library,
Medical,
Transport,
Others
position
string
required
Maximum string length: 255
phone
string
required
Maximum string length: 255
gender
enum<string>
required
  • Male - Male
  • Female - Female
Available options:
Male,
Female
id
string<uuid>
is_deleted
boolean
created_at
string<date-time>
updated_at
string<date-time>
email
string<email> | null
Maximum string length: 254
date_joined
string<date-time>
is_active
boolean
created_by
string<uuid> | null